import { world as hh2, system as k8a } from "@minecraft/server";
import { j2d } from "./config";

export function dbgLg(gdd = 'i', msg) {
    if (j2d.dbg) {
        switch (gdd) {
            case 'i':
                console.log("[§2ST§r]", msg);
                break;
            case 'w':
                console.warn("[§6ST§r]", msg);
                break;
            case 'e':
                console.error("[§cST§r]", msg);
                break;
            default:
                console.log("[§2ST§r]", msg);
                break;
        }
    }
}